import { Token } from './Token';
export default class Lexer {
    private source;
    private lineno;
    private colno;
    private inComment;
    private value;
    private tokens;
    private inQuote;
    constructor(source: string);
    private reset();
    private normalizedTokens();
    private pushSpecial(type, value);
    private flush();
    lex(): Token[];
}
