import * as AST from './AST';
import { Token } from './Token';
export default class Parser {
    private tokens;
    private index;
    private root;
    private inData;
    constructor(tokens: Token[]);
    private peek(n?);
    private next();
    private nextLine();
    private addNode(node);
    private groupByComma(tokens);
    private normalizeDataValues(tokens);
    private normalizeArgs(tokens);
    private logTokens(tokens);
    private logGroup(group);
    parse(): AST.Root;
}
