"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Parser_1 = require("./Parser");
var Lexer_1 = require("./Lexer");
function parse(source) {
    var lexer = new Lexer_1.default(source);
    var tokens = lexer.lex();
    var parser = new Parser_1.default(tokens);
    return parser.parse();
}
exports.default = parse;
