import * as AST from '../parse/AST';
import AssembledObject from './AssmebledObject';
export default class Assembler {
    private astRoot;
    private astInstructions;
    private objInstructions;
    private instructionLabels;
    private dataLabels;
    private symbols;
    private relocations;
    private instructions;
    private data;
    constructor(root: AST.Root);
    private genData();
    private genASTInstructions();
    private indexOfLabel(node);
    private genSymbolTable();
    private genRelocationTable();
    private interpolateLabels();
    private genObjInstructions();
    private genInstructions();
    assemble(): AssembledObject;
}
