export declare type TokenType = 'TEXT' | 'LEFT_PAREN' | 'RIGHT_PAREN' | 'COMMA' | 'COLON' | 'CHAR' | 'STRING' | 'EOL' | 'EOS';
export declare class Token {
    type: TokenType;
    value: string;
    lineno: number;
    colno: number;
    constructor(type: TokenType, value: string, lineno: number, colno: number);
}
