"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Registers_1 = require("./Registers");
var constants_1 = require("./constants");
var mappings_1 = require("../utils/mappings");
var PrimaryRegisters = /** @class */ (function (_super) {
    tslib_1.__extends(PrimaryRegisters, _super);
    function PrimaryRegisters() {
        var _this = _super.call(this, {
            size: 35,
            mappings: mappings_1.registers,
        }) || this;
        // Default value for $sp register
        _this.registers[29] = constants_1.BASE_STACK_POINTER;
        // Default value for pc register
        _this.registers[32] = constants_1.BASE_TEXT_ADDR;
        return _this;
    }
    return PrimaryRegisters;
}(Registers_1.default));
exports.default = PrimaryRegisters;
